Уязвимость BDU:2022-04385

Дата: 12.07.2022. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2022-04385.

Наименование уязвимости: Уязвимость распределенной системы управления версиями Git, связанная с недостатками разграничения доступа, позволяющая нарушителю повысить свои привилегии или выполнить произвольные команды.

Описание уязвимости: Уязвимость распределенной системы управления версиями Git связана с возможностью создать папку "C:.git". Эксплуатация уязвимости может позволить нарушителю запускать произвольные команды
Уязвимое ПО: Прикладное ПО информационных систем Linus Torvalds, Junio Hamano Git от 2.30.0 до 2.30.5 | Прикладное ПО информационных систем Linus Torvalds, Junio Hamano Git от 2.31.0 до 2.31.4 | Прикладное ПО информационных систем Linus Torvalds, Junio Hamano Git от 2.32.0 до 2.32.3 | Прикладное ПО информационных систем Linus Torvalds, Junio Hamano Git от 2.33.0 до 2.33.4 | Прикладное ПО информационных систем Linus Torvalds, Junio Hamano Git от 2.34.0 до 2.34.4 | Прикладное ПО информационных систем Linus Torvalds, Junio Hamano Git от 2.35.0 до 2.35.4 | Прикладное ПО информационных систем Linus Torvalds, Junio Hamano Git от 2.36.0 до 2.36.2 | Прикладное ПО информационных систем Linus Torvalds, Junio Hamano Git от 2.37.0 до 2.37.1 | Операционная система АО «НППКТ» ОСОН ОСнова Оnyx до 2.6 |

Наименование ОС и тип аппаратной платформы: ОСОН ОСнова Оnyx до 26 |
Дата выявления: 12.07.2022.
CVSS 2.0: AV:L/AC:L/Au:S/C:C/I:C/A:P
Уровень опасности уязвимости: Средний уровень опасности (базовая оценка CVSS 2.0 составляет 6,4)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 7,8)

Возможные меры по устранению:
Обновление программного обеспечения до версий 2.30.5, 2.31.4, 2.32.3, 2.33.4, 2.34.4, 2.35.4, 2.36.2, 2.37.1 и выше

Для ОСОН ОСнова Оnyx:
Обновление программного обеспечения git до версии 1:2.36.1-1osnova0.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2022-29187.

Тип ошибки CWE: CWE-282, CWE-427
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
http://www.openwall.com/lists/oss-security/2022/07/14/1

Git security vulnerability announced


https://github.com/git/git/security/advisories/GHSA-j342-m5hw-rr3v
https://lore.kernel.org/git/xmqqv8s2fefi.fsf@gitster.g/T/#u
https://поддержка.нппкт.рф/bin/view/ОСнова/Обновления/2.6/

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *